#include <iostream>

typedef enum toggleswitch {OFF = 0, ON = 1};

typedef struct
 { toggleswitch OnOffSwitch;
   int VolumeLevel,
       ChannelNumber,
       Colour,
       Brightness,
       Contrast;
   void           InitTV();
   void           OnOff();
   toggleswitch   IsOn();
   void           AdjustVolume(int Level);
   void           ShowTV();
 } TTelevision;

void TTelevision::InitTV()
{
    OnOffSwitch    = OFF;
    VolumeLevel    = 0;
    ChannelNumber  = 0;
    Colour         = 0;
    Brightness     = 0;
    Contrast       = 0;
};

void TTelevision::OnOff()
{
 if (OnOffSwitch == ON)
  OnOffSwitch = OFF;
 else
 if (OnOffSwitch == OFF)
  OnOffSwitch = ON;
}

void TTelevision::AdjustVolume(int Level)
{
    VolumeLevel = Level;
}

toggleswitch TTelevision::IsOn()
{
    return OnOffSwitch;
}

void TTelevision::ShowTV()
{
    if ( IsOn() == ON )
    {
        cout 